# [ft_ping](https://git.blenderwizard.space//Blenderwizard/ft_ping)

This is a template C project using CMake (v3.27) and Make.

To add C files, simply add the relative path from the root of the project to the C_SRCS variable in makefile, seperated
by a space

Example:
```makefile
C_SRCS = srcs/main.c srcs/file.c srcs/other_file.c srcs/one/two/three/directory.c
```

To add C Header files, you must add the directory to the INCLUDE_DIRS and the relative path from the root of the project
of the Header file to the INCLUDE_SRCS variable in the makefile, they must be seperated by spaces.

Example:
```makefile
INCLUDE_DIRS = includes otherpath/includes
INCLUDE_SRCS = includes/main.h otherpath/includes/file.h
```

To add compilation flags, just add them to the CFLAGS Makefile variable, they must be seperated by spaces.

Example:
```makefile
CFLAGS = -Wall -Werror -Wextra
```

To add project libraries, simply place them in a directory located in the root directory with the same name as the library.
Then just add them to the CFLAGS Makefile variable, they must be seperated by spaces. 

Example:
```makefile
SUBDIRECTORIES = mycoollib openssl
```

You can change CMake Specific variables in the Makefile, such as Number of Workers, Build Directory, Install Directory,
Generator Type and the Release Type.

To build simply run `make`

